Loading...
Searching...
No Matches
nta_tport.h File Reference

Transport and SigComp handling. More...

`#include <sofia-sip/nta.h>`
Include dependency graph for nta_tport.h:

Go to the source code of this file.

## Macros

#define | NTA_TPORT_H
| Defined when <sofia-sip/nta_tport.h> has been included.

## Functions

tport_t * | nta_agent_tports (nta_agent_t *agent)
| Return the master transport for the agent.
tport_t * | nta_incoming_transport (nta_agent_t *, nta_incoming_t *, msg_t *msg)
| Return a new reference to the transaction transport.
int | nta_agent_tport_is_updating (nta_agent_t *agent)
| Check if public transport binding is in progress.
int | nta_agent_bind_tport_update (nta_agent_t *agent, nta_update_magic_t *magic, nta_update_tport_f *)
| Bind transport update callback.

## Detailed Description

Transport and SigComp handling.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Oct 7 20:04:39 2004 ppessi

## Function Documentation

## nta_agent_tports()

tport_t * nta_agent_tports | ( | nta_agent_t * | agent | ) |

Return the master transport for the agent.

Since
  New in 1.12.11

## nta_incoming_transport()

tport_t * nta_incoming_transport | ( | nta_agent_t * | agent,
|  | nta_incoming_t * | irq,
|  | msg_t * | msg )

Return a new reference to the transaction transport.

Note
  The referenced transport must be unreferenced with tport_unref()

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.